\echo $Id: Infrastructure-IntegrityChecks.sql 281 2007-07-19 15:32:59Z dflater $
\echo
\echo ----- Begin integrity check output -- All results should be empty -----
\echo
analyze;
\pset title 'Out Of Range Voter Inputs'
select * from OutOfRangeVoterInputs;
\pset title 'Out Of Range Endorsements'
select * from OutOfRangeEndorsements;
\pset title 'Extraneous Inputs'
select * from ExtraneousInputs;
\pset title 'Unreported Ballots'
select * from UnreportedBallots;
\pset title 'Double Votes'
select * from DoubleVotes;
\pset title 'Cross Contest Aliases'
select * from CrossContestAliases;
\pset title 'Double Indirect Aliases'
select * from DoubleIndirectAliases;
\pset title 'Ballot Styles With More Than One Straight Party Contest'
select * from MoreThanOneStraightPartyContest;
\pset title 'Non-Existent Parties In Straight Party Contest'
select * from NonExistentParties;
\pset title 'Circular Straight Party Endorsements'
select * from CircularStraightPartyEndorsements;
\pset title 'Endorsed Aliases'
select * from EndorsedAliases;
\pset title 'Straight Party Overrides'
select * from StraightPartyOverrides;
\pset title 'Too Many Write-Ins'
select * from TooManyWriteIns;
\echo ----- End integrity check output ---- All results should be empty -----
\echo
\pset title
